Delete a campaign timetable for a specific day (dayparting).
curl --request DELETE \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/timetables/{day_of_week} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/timetables/{day_of_week}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/timetables/{day_of_week}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Delete a campaign timetable for a specific day (dayparting).
Delete the timetable configuration for a specific day of the week.
This removes the dayparting rule for the specified day, reverting the campaign to be active all day for that day (if the campaign is otherwise active).
After deletion, the campaign will run 24 hours on the specified day (no time restrictions).
DELETE
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign_id}
/
timetables
/
{day_of_week}
Delete a campaign timetable for a specific day (dayparting).
Autorisierungen
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Pfadparameter
The ID of the campaign.
The day of the week (1=Monday, 7=Sunday).
Verfügbare Optionen:
1, 2, 3, 4, 5, 6, 7 Abfrageparameter
The ID of the vendor.
Minimum string length:
1Antwort
Successful Response
War diese Seite hilfreich?